RDKit::SubstanceGroup::CState Struct Reference

`#include <SubstanceGroup.h>`

## Public Member Functions

bool | operator== (const CState &other) const

## Public Attributes

unsigned int | bondIdx
RDGeom::Point3D | vector

## Detailed Description

See specification for V3000 CSTATE vector may or not be considered, depending on TYPE

Definition at line 76 of file SubstanceGroup.h.

## Member Function Documentation

## operator==()

bool RDKit::SubstanceGroup::CState::operator== | ( | const CState & | other | ) | const

inline

Definition at line 79 of file SubstanceGroup.h.

References bondIdx.

## Member Data Documentation

## bondIdx

unsigned int RDKit::SubstanceGroup::CState::bondIdx

Definition at line 77 of file SubstanceGroup.h.

Referenced by operator==().

## vector

RDGeom::Point3D RDKit::SubstanceGroup::CState::vector

Definition at line 78 of file SubstanceGroup.h.

The documentation for this struct was generated from the following file:

- SubstanceGroup.h